# pandas.DataFrame.stack

`DataFrame.``stack`(level=-1, dropna=True)

  Pivot a level of the (possibly hierarchical) column labels, returning a DataFrame (or Series in the case of an object with a single level of column labels) having a hierarchical index with a new inner-most level of row labels. The level involved will automatically get sorted.

  Parameters:

  level : int, string, or list of these, default last level

  > Level(s) to stack, can pass level name

  dropna : boolean, default True

  > Whether to drop rows in the resulting Frame/Series with no valid values

  Returns: | stacked : DataFrame or Series

  Examples

      >>> s
           a   b
      one  1.  2.
      two  3.  4.

      >>> s.stack()
      one a    1
          b    2
      two a    3
          b    4